ros-lunar-tf-conversions (1.11.9-0zesty) zesty; urgency=high

  * Fix cmake dependency export usage
  * address gcc6 build error (#143 <https://github.com/ros/geometry/issues/143>)
  * Contributors: Lukas Bulwahn, Tully Foote, Timo Röhling

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Jul 2017 07:00:00 -0000

ros-lunar-tf-conversions (1.11.8-0zesty) zesty; urgency=high

  * tf_conversions: Add conversion functions for Eigen::Isometry3d
  * Remove outdated manifest loading in python files
  * Contributors: Maarten de Vries, Michael Hwang

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 04 Mar 2016 08:00:00 -0000

ros-lunar-tf-conversions (1.11.7-0zesty) zesty; urgency=high

  * Fixed Vector3 documentation
  * Contributors: Jackie Kay

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 21 Apr 2015 07:00:00 -0000

ros-lunar-tf-conversions (1.11.6-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 25 Mar 2015 07:00:00 -0000

ros-lunar-tf-conversions (1.11.5-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 17 Mar 2015 07:00:00 -0000

ros-lunar-tf-conversions (1.11.4-0zesty) zesty; urgency=high

  * Update package.xml
  * Contributors: David Lu!!

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 23 Dec 2014 08:00:00 -0000

ros-lunar-tf-conversions (1.11.3-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-lunar-tf-conversions (1.11.2-0zesty) zesty; urgency=high

  * fixing eigen usage in tf_conversions
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 25 Feb 2014 08:00:00 -0000

ros-lunar-tf-conversions (1.11.1-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 23 Feb 2014 08:00:00 -0000

ros-lunar-tf-conversions (1.11.0-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Feb 2014 08:00:00 -0000

ros-lunar-tf-conversions (1.10.8-0zesty) zesty; urgency=high

  * add missing runtime dependency on python_orocos_kdl for the pyKDL
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Sat, 01 Feb 2014 08:00:00 -0000

ros-lunar-tf-conversions (1.10.7-0zesty) zesty; urgency=high

  * Fix build error in tf_conversions with orocos_kdl dependency
    Fixes #45 <https://github.com/ros/geometry/issues/45>
  * Contributors: Tessa Lau

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 27 Dec 2013 08:00:00 -0000

ros-lunar-tf-conversions (1.10.6-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 28 Aug 2013 07:00:00 -0000

ros-lunar-tf-conversions (1.10.5-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 19 Jul 2013 07:00:00 -0000

ros-lunar-tf-conversions (1.10.4-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 11 Jul 2013 07:00:00 -0000

ros-lunar-tf-conversions (1.10.3-0zesty) zesty; urgency=high

  * calling out versioned catkin requirement for CATKIN_ENABLE_TESTING

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 09 Jul 2013 07:00:00 -0000

ros-lunar-tf-conversions (1.10.2-0zesty) zesty; urgency=high

  * adding unit test if CATKIN_ENABLE_TESTING statements for tf_conversions to make the whole repo compliant.

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 09 Jul 2013 07:00:00 -0000

ros-lunar-tf-conversions (1.10.1-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 05 Jul 2013 07:00:00 -0000

ros-lunar-tf-conversions (1.10.0-0zesty) zesty; urgency=high

  * fixing unit tests
  * fixing kdl linking

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 05 Jul 2013 07:00:00 -0000

ros-lunar-tf-conversions (1.9.31-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 19 Apr 2013 01:16:00 -0000

ros-lunar-tf-conversions (1.9.30-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 18 Apr 2013 23:26:00 -0000

ros-lunar-tf-conversions (1.9.29-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 13 Jan 2013 08:00:00 -0000

ros-lunar-tf-conversions (1.9.28-0zesty) zesty; urgency=high

  * add missing setup.py

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 02 Jan 2013 08:00:00 -0000

ros-lunar-tf-conversions (1.9.27-0zesty) zesty; urgency=high

  * added license headers to various files

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 21 Dec 2012 08:00:00 -0000

ros-lunar-tf-conversions (1.9.26-0zesty) zesty; urgency=high

  * add missing dep to catkin

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Dec 2012 08:00:00 -0000

ros-lunar-tf-conversions (1.9.25-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 13 Dec 2012 08:00:00 -0000

ros-lunar-tf-conversions (1.9.24-0zesty) zesty; urgency=high

  * Version 1.9.24
  * Fixes to CMakeLists.txt's while building from source

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 11 Dec 2012 08:00:00 -0000

ros-lunar-tf-conversions (1.9.23-0zesty) zesty; urgency=high

  * Releaseing version 1.9.23

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 22 Nov 2012 08:00:00 -0000

ros-lunar-tf-conversions (1.9.22-0zesty) zesty; urgency=high

  * more backwards compatible conversions and an include to make sure it gets into the old header location

 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 04 Nov 2012 17:14:00 -0000

ros-lunar-tf-conversions (1.9.21-0zesty) zesty; urgency=high

  * filling out deprecated functions for backwards compatability

 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 04 Nov 2012 09:19:00 -0000

ros-lunar-tf-conversions (1.9.20-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 02 Nov 2012 07:00:00 -0000

ros-lunar-tf-conversions (1.9.19-0zesty) zesty; urgency=high

  * Removed deprecated 'brief' attribute from <description> tags.

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 31 Oct 2012 07:00:00 -0000

ros-lunar-tf-conversions (1.9.18-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 16 Oct 2012 07:00:00 -0000

ros-lunar-tf-conversions (1.9.17-0zesty) zesty; urgency=high

  * fix several dependency issues

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 02 Oct 2012 07:00:00 -0000

ros-lunar-tf-conversions (1.9.16-0zesty) zesty; urgency=high

  * adding geometry metapackage and updating to 1.9.16

 -- Tully Foote <tfoote@osrfoundation.org>  Sat, 29 Sep 2012 07:00:00 -0000

ros-lunar-tf-conversions (1.9.15-0zesty) zesty; urgency=high

  * fix a few dependency/catkin problems
  * remove old API files
  * comply to the new catkin API

 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 30 Sep 2012 07:00:00 -0000

ros-lunar-tf-conversions (1.9.14-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 18 Sep 2012 07:00:00 -0000

ros-lunar-tf-conversions (1.9.13-0zesty) zesty; urgency=high

  * update manifests

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 17 Sep 2012 07:00:00 -0000

ros-lunar-tf-conversions (1.9.12-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 16 Sep 2012 07:00:00 -0000

ros-lunar-tf-conversions (1.9.11-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Sat, 15 Sep 2012 05:49:00 -0000

ros-lunar-tf-conversions (1.9.10-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Sat, 15 Sep 2012 05:30:00 -0000

ros-lunar-tf-conversions (1.9.9-0zesty) zesty; urgency=high

  * update depends
  * minor patches for new build system

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 11 Sep 2012 07:00:00 -0000

ros-lunar-tf-conversions (1.9.8-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 03 Sep 2012 07:00:00 -0000

ros-lunar-tf-conversions (1.9.7-0zesty) zesty; urgency=high

  * minor build fixes
  * fixed some minor errors from last commit
  * completed set of eigen conversions; added KDL conversions
  * adding additional conversion functions

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 10 Aug 2012 19:19:00 -0000

ros-lunar-tf-conversions (1.9.6-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 03 Aug 2012 02:59:00 -0000

ros-lunar-tf-conversions (1.9.5-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 03 Aug 2012 02:48:00 -0000

ros-lunar-tf-conversions (1.9.4-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 03 Aug 2012 01:29:00 -0000

ros-lunar-tf-conversions (1.9.3-0zesty) zesty; urgency=high

  * forgot to install some things
  * also using DEPENDS

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 03 Aug 2012 01:28:00 -0000

ros-lunar-tf-conversions (1.9.2-0zesty) zesty; urgency=high

  * make sure the tf target depends on the messages (and clean some include_directories too)

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 02 Aug 2012 04:05:00 -0000

ros-lunar-tf-conversions (1.9.1-0zesty) zesty; urgency=high

  * install manifest.xml

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 02 Aug 2012 02:16:00 -0000

ros-lunar-tf-conversions (1.9.0-0zesty) zesty; urgency=high

  * catkin build system
  * successfully running rosrun tf bullet_migration_sed.py and testing afterwords
  * eigen to rosdep from dependency
  * removing eigen dependency as it's now system installed
  * add missing empty_listener.cpp file
  * compiling with eigen3
  * more extensive search
  * applying patch from sed script for eigen3 compatability
  * tests for tf_kdl and fixes for tf_kdl based on tests
  * add pykdl to example
  * link to kdl pages
  * Added VectorEigenToTF and RotationEigenToTF to tf_conversions
  * returning to camelCase for consistency with tf and pykdl
  * converting from camelCase to under_scored methods for python style
  * Added Ubuntu platform tags
  * removing pykdl finishing series of commits for #4039 <https://github.com/ros/geometry/issues/4039>
  * promoting pykdl index.rst
  * removing index.rst for replacing
  * posemath using kdl promoted
  * reverting change in test
  * passing test with kdl_posemath.py copied to src/posemath.py
  * Corrected module to tf_conversions
  * Improved pose comparison in test_roundtrip
  * #4039 <https://github.com/ros/geometry/issues/4039> original posemath now in tf_conversions
  * Enable posemath unit test, #4039 <https://github.com/ros/geometry/issues/4039>
  * Moved PoseMath from tf to tf_conversions, #4039 <https://github.com/ros/geometry/issues/4039>
  * PyKDL based PoseMath, #4039 <https://github.com/ros/geometry/issues/4039>
  * fixes for #3915 <https://github.com/ros/geometry/issues/3915> into trunk
  * Remove use of deprecated rosbuild macros
  * tf conversions is doc reviewed
  * api cleared
  * add list of supported data types
  * deprecate addDelta function because it is not a conversion
  * add api doc to tf_conversions
  * update documentation
  * migration part 1

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 02 Aug 2012 01:52:00 -0000


